<div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>Battery Receiving Checklist
    </div>
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2 card-body">
      <form [formGroup]="checklistForm" (ngSubmit)="onSubmit()">
           
        <div class="form-group">
          <label for="batteryId">Battery<sup class="req">*</sup></label>
            <input 
              type="text" 
              list="batteryList" 
              formControlName="batteryId"
              class="form-control"
              placeholder="Type To Select Battery"
              >
            <datalist id="batteryList">
              <option *ngFor="let battery of batteryList" value="{{ battery.batteryPackId}}">{{ battery.batteryPackId}}</option>
            </datalist>
            <div *ngIf="checklistForm.get('batteryId').invalid && checklistForm.get('batteryId').touched"
                        class="alert alert-danger">

              <div *ngIf="checklistForm.get('batteryId').errors.required">
                Please select Battery.
              </div>
              <div *ngIf="checklistForm.get('batteryId').errors.validateBattery">
                Please select value from the list.
              </div>
            </div>
        </div>

        <div class="form-group ">
          <label for="image" class="mb-2 mr-sm-2">Image</label>
            <div class="form-inline">
              <input
                type="file"
                class="form-control mb-2 mr-sm-2"
                formControlName="image"
                (change)="onFileSelected($event)">
              <button 
                type="button" 
                class="btn btn-primary btn-xs mb-2" 
                (click)="uploadFile()"
                [disabled]="!disableUploadBtn"
                >Upload</button>
            </div>
              <div *ngIf="showProgessBar">
                <div class="progress mb20 h20">
                  <div class="progress-bar" role="progressbar" [style.width.%]="progPercentage" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">{{progPercentage}}%
                  </div>
                </div>
              </div>

              <div *ngIf="checklistForm.get('imageUrl').value">
                <img 
                  src="{{ checklistForm.get('imageUrl').value }}" 
                  alt="Battery Image"
                  class="h60"
                  (click)="zoomImage()"
                  title="Click to zoom">
              </div>
        </div>
  
        <input type="hidden" formControlName="imageUrl" >
        
        <div class="form-group">
          <label for="receivedFrom">Received From<sup class="req">*</sup></label>
          <input 
            type="text" 
            list="ActorList"
            formControlName="receivedFrom"
          	class="form-control"
          	placeholder="Type To Select"
          >
           <datalist id="ActorList">
              <option *ngFor="let actor of actorsList" value="{{ actor.actorId}}">{{ actor.name}}</option>
            </datalist>
             <div *ngIf="checklistForm.get('receivedFrom').invalid && checklistForm.get('receivedFrom').touched"
              class="alert alert-danger">

              <div *ngIf="checklistForm.get('receivedFrom').errors.required">
                This field is required.
              </div>
              <div *ngIf="checklistForm.get('receivedFrom').errors.validateActor">
                Please select value from the list.
              </div>
            </div>
        </div>

        <div class="form-group">
          <label for="type">Receiving Purpose<sup class="req">*</sup></label>
          <select
            class="form-control"
            formControlName="type"
            >
            <option value="-1">- Click to select Purpose -</option>
            <option>Fault</option>
            <option>Maintenance</option>
          </select>
             <div *ngIf="checklistForm.get('type').invalid && checklistForm.get('type').touched"
              class="alert alert-danger">

              <div *ngIf="checklistForm.get('type').errors.min">
                Please select one value.
              </div>
            </div>
        </div>

        <div class="form-group">
          <label for="tampered">External Signs of Tampering<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input 
                    type="radio"
                    formControlName="tampered" 
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span 
                 *ngIf="!checklistForm.get('tampered').valid && checklistForm.get('tampered').touched"
                 class="help-block">Please mark one option for this!</span>
        </div>

        <div class="form-group">
          <label for="smartLockWorking">Smart Lock Working<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input 
                    type="radio"
                    formControlName="smartLockWorking" 
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span 
                 *ngIf="!checklistForm.get('smartLockWorking').valid && checklistForm.get('smartLockWorking').touched"
                 class="help-block">Please mark one option for this!</span>
        </div>

        <div class="form-group">
          <label for="batteryTopWindow">Battery Top Window OK<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input 
                    type="radio"
                    formControlName="batteryTopWindow" 
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span 
                 *ngIf="!checklistForm.get('batteryTopWindow').valid && checklistForm.get('batteryTopWindow').touched"
                 class="help-block">Please mark one option for this!</span>
        </div>

        <div class="form-group">
          <label for="socMeterWorking">SOC Meter Working<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input 
                    type="radio"
                    formControlName="socMeterWorking" 
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span 
                 *ngIf="!checklistForm.get('socMeterWorking').valid && checklistForm.get('socMeterWorking').touched"
                 class="help-block">Please mark one option for this!</span>
        </div>

        <div class="form-group">
          <label for="connectorOK">Connector OK<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input 
                    type="radio"
                    formControlName="connectorOK" 
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span 
                 *ngIf="!checklistForm.get('connectorOK').valid && checklistForm.get('connectorOK').touched"
                 class="help-block">Please mark one option for this!</span>
        </div>

        <div class="form-group">
          <label for="description">Description</label>
          <textarea
           formControlName="description"
           class="form-control"
           placeholder="Enter Description"
           cols="50"
           rows="6">
          </textarea>
        </div>

        <div class="form-group">
          <label for="receivedAt">Received At<sup class="req">*</sup></label>
          <input 
              type="text" 
              formControlName="receivedAt"
              class="form-control"
              placeholder="Enter Received At Location">
              <div *ngIf="checklistForm.get('receivedAt').invalid && checklistForm.get('receivedAt').touched"
              class="alert alert-danger">

              <div *ngIf="checklistForm.get('receivedAt').errors.required">
                This field is required.
              </div>
            </div>
        </div>

         <div class="form-group">
          <label for="receivedBy">Received By<sup class="req">*</sup></label>
          <input 
              type="text" 
              formControlName="receivedBy"
              class="form-control"
              placeholder="Enter Name">
              <div *ngIf="checklistForm.get('receivedBy').invalid && checklistForm.get('receivedBy').touched"
              class="alert alert-danger">

              <div *ngIf="checklistForm.get('receivedBy').errors.required">
                This field is required.
              </div>
            </div>
        </div>

       
        <span 
              *ngIf="!checklistForm.valid && checklistForm.touched"
              class="help-block">Please fill all the required fields</span><br>
              <br *ngIf="!checklistForm.valid && checklistForm.touched">
        <button 
           class="btn btn-primary"
           type="submit"
           [disabled]="checklistForm.invalid">Submit</button><br><br><br>
      </form>
    </div>
  </div>
</div>
